The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Поддержка Ruby 1.8.6 прекращена

22.09.2011 15:26

Компания Engineyard, в 2009 году взявшая на себя работу по исправлении ошибок и устранению проблем безопасности в устаревших ветках Ruby, объявила о завершении жизненного цикла для версии Ruby 1.8.6, для которой больше не будут выпускаться обновления. Версия 1.8.6 была выпущена в марте 2007 года. Пользователям рекомендуется перейти на использование ветки Ruby 1.8.7, поддержка которой продлится до лета 2013 года. Другим вариантом является переход на современную ветку Ruby 1.9.2, но такой шаг может потребовать переработки приложений, так как наблюдаются проблемы с совместимостью данной версии с Ruby 1.8.6.

  1. Главная ссылка к новости (http://www.engineyard.com/blog...)
  2. OpenNews: Управление веткой Ruby 1.8.6 передано компании Engineyard
  3. OpenNews: Вопрос передачи поддержки Ruby 1.8.6 компании Engineyard
  4. OpenNews: Релиз языка программирования Ruby 1.9.2
  5. OpenNews: Код Ruby 1.9.3 перелицензирован для обеспечения совместимости с GPLv3 и BSD
  6. OpenNews: Релиз web-фреймворка Ruby on Rails 3.1
Лицензия: CC-BY
Тип: К сведению
Короткая ссылка: https://opennet.ru/31823-ruby
Ключевые слова: ruby
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (27) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (-), 15:48, 22/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –5 +/
    Чёрт, прочитал как "Поддержка Ruby прекращена" и было обрадовался.
     
     
  • 2.3, dijkstra (?), 15:53, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • –4 +/
    а чем Ruby хорош или плох?
    в сравнении, скажем, с похапе или питоном?
     
     
  • 3.12, iZEN (ok), 16:43, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • –3 +/
    > а чем Ruby хорош или плох?
    > в сравнении, скажем, с похапе или питоном?

    Единственный нормальный интерпретируемый язык без заморочек на форматировании.

     
     
  • 4.35, Michael Shigorin (ok), 16:51, 24/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> а чем Ruby хорош или плох?

    Хорош тем, что красивый. :)  См. http://ruby.osdn.org.ua, там слайды и книжка.
    Плох тем, что медленный по сравнению с перлом и питоном.

    > Единственный нормальный интерпретируемый язык без заморочек на форматировании.

    Неправда.

     
  • 3.17, anonym (?), 19:11, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Все хороши, и питон, и руби, и перл. Но мой выбор - Perl. =)
     
  • 2.26, zoolooz (?), 13:58, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Странные такие разработчики p(hp|erl|ython) языков, вам хорошо когда другим плохо?
    Смотрите в свою тарелку.
     
  • 2.32, Онаним (?), 18:22, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Чёрт, прочитал как "Поддержка Ruby прекращена" и было обрадовался.

    А чем вас может обрадовать прекращение поддержки языка, о котором вы, судя по всему, ничего не знаете?

     

  • 1.11, iZEN (ok), 16:42, 22/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Вот и славненько.
     
     
  • 2.20, Andrew Kolchoogin (?), 20:42, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Вот и славненько.

    Ни разу не славненько. Redmine не работает с 1.9 пока.

     
     
  • 3.23, XoRe (ok), 01:38, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> Вот и славненько.
    > Ни разу не славненько. Redmine не работает с 1.9 пока.

    форк redmine - chiliproject работает.

    https://www.chiliproject.org/projects/chiliproject/wiki/Installation

     
     
  • 4.28, Andrew Kolchoogin (?), 14:03, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >>> Вот и славненько.
    >> Ни разу не славненько. Redmine не работает с 1.9 пока.
    > форк redmine - chiliproject работает.

    Спасибо за информацию.

    А зачем они форкнули, где почитать?

     
     
  • 5.30, Аноним (-), 15:53, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    у них на главной же, Why fork?
    достала тормознутость основной команды в плане внедрения фич.
     
  • 3.24, zoolooz (?), 13:36, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    а что и с 1 8 7 не работает???
     
     
  • 4.29, Andrew Kolchoogin (?), 14:04, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > а что и с 1 8 7 не работает???

    Работает. У меня на 1.8.7 и крутится.

     
     
  • 5.36, анри (?), 09:48, 26/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    на так чё все истерят, непонятно
     

  • 1.13, iZEN (ok), 17:12, 22/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Поставил в /etc/make.conf своей бздишечки:
    #
    # Keep ruby 1.9 as default version.
    #
    RUBY_DEFAULT_VER=1.9

    и перекомпилировал все зависимости (нужно для portupgrade).

     
     
  • 2.15, Anonymouse (?), 18:05, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Поставил в /etc/make.conf своей бздишечки:

    ...
    > и перекомпилировал все зависимости (нужно для portupgrade).

    Ну и сам себе бератина :) Есть portmaster писанный целиком на право^W POSIX-shell - нет же юзают всякий мусор.

     
     
  • 3.19, Andrew Kolchoogin (?), 20:42, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Ну и сам себе бератина :) Есть portmaster писанный целиком на право^W
    > POSIX-shell - нет же юзают всякий мусор.

    Хм. А вы, сударь, пробовали его натравить на Jail с полутора тысячами портами?-)

     
     
  • 4.21, Аноним (-), 21:04, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Да, и он работет гораздо быстрее portupgrade, который после каждой установки порта просто секунд 10 тупит ниочём.
     
     
  • 5.34, Andrew Kolchoogin (?), 20:36, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Да, и он работет гораздо быстрее portupgrade, который после каждой установки порта
    > просто секунд 10 тупит ниочём.

    portupgrade(8), как обычно, не читан, да?

    -O ключ, подсказываю.

     
  • 2.16, Аноним (-), 18:11, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Вы еще ставите руби не через rvm? Тогда мы идем к вам!
     
     
  • 3.18, Andrew Kolchoogin (?), 20:41, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Нет, мы весь софт ставим единообразно -- из портов.
     
  • 3.22, Аноним (-), 21:06, 22/09/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Вы еще ставите руби не через rvm? Тогда мы идем к вам!

    Извините, очередная галимая система установки кусков очередного костыльного языка в системе не нужна. Всё ставится только через порты.

     
     
  • 4.25, kuraga (ok), 13:36, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    В чем же он костыльный?
     
     
  • 5.27, Andrew Kolchoogin (?), 14:01, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > В чем же он костыльный?

    В отсутствии информации в /var/db/pkg он костыльный.

     
     
  • 6.31, Онаним (?), 18:18, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > В отсутствии информации в /var/db/pkg он костыльный.

    У вас BSD головного мозга. А RVM  - удобный инструмент для тех, кто использует Ruby.

     
     
  • 7.33, Andrew Kolchoogin (?), 20:35, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > У вас BSD головного мозга.

    Нет, что вы, напротив -- это у вас ярко выраженный виндузит.

    > А RVM  - удобный инструмент для тех, кто использует Ruby.

    Дададад. Конечно-конечно. Особенно удобен тем, что про него надо вспомнить, например, если сапгрейдил, к примеру, PostgreSQL'ные библиотеки.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру